curl --request GET \
--url https://api.hubapi.com/conversations/v3/conversations/threads/{threadId}/messages \
--header 'Authorization: Bearer <token>'{
"results": [
{
"type": "MESSAGE",
"id": "<string>",
"conversationsThreadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"client": {
"clientType": "HUBSPOT",
"integrationAppId": 123
},
"senders": [
{
"actorId": "<string>",
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
},
"name": "<string>",
"senderField": "<string>"
}
],
"recipients": [
{
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
},
"actorId": "<string>",
"name": "<string>",
"recipientField": "<string>"
}
],
"archived": true,
"text": "<string>",
"attachments": [
{
"fileId": "<string>",
"fileUsageType": "AUDIO",
"type": "FILE",
"name": "<string>",
"url": "<string>"
}
],
"truncationStatus": "NOT_TRUNCATED",
"direction": "INCOMING",
"channelId": "<string>",
"channelAccountId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"richText": "<string>",
"subject": "<string>",
"inReplyToId": "<string>",
"status": {
"statusType": "FAILED",
"failureDetails": {
"errorMessageTokens": {},
"errorMessage": "<string>"
}
}
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Recupere o histórico de mensagens de um thread específico.
curl --request GET \
--url https://api.hubapi.com/conversations/v3/conversations/threads/{threadId}/messages \
--header 'Authorization: Bearer <token>'{
"results": [
{
"type": "MESSAGE",
"id": "<string>",
"conversationsThreadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"client": {
"clientType": "HUBSPOT",
"integrationAppId": 123
},
"senders": [
{
"actorId": "<string>",
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
},
"name": "<string>",
"senderField": "<string>"
}
],
"recipients": [
{
"deliveryIdentifier": {
"type": "CHANNEL_SPECIFIC_OPAQUE_ID",
"value": "<string>"
},
"actorId": "<string>",
"name": "<string>",
"recipientField": "<string>"
}
],
"archived": true,
"text": "<string>",
"attachments": [
{
"fileId": "<string>",
"fileUsageType": "AUDIO",
"type": "FILE",
"name": "<string>",
"url": "<string>"
}
],
"truncationStatus": "NOT_TRUNCATED",
"direction": "INCOMING",
"channelId": "<string>",
"channelAccountId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"richText": "<string>",
"subject": "<string>",
"inReplyToId": "<string>",
"status": {
"statusType": "FAILED",
"failureDetails": {
"errorMessageTokens": {},
"errorMessage": "<string>"
}
}
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.
Se apenas os resultados que foram arquivados devem ser retornados.
O número máximo de resultados a serem exibidos por página.